# $Revision: 1.87 $, $Date: 2006/09/08 18:03:40 $
#
# Conditional build:
%bcond_without	ipv6	# IPv4-only version (doesn't require IPv6 in kernel)
#
%define	_rc		rc21
%define	_rel	3
Summary:	Boa high speed HTTP server
Summary(pl):	Boa - szybki serwer HTTP
Name:		boa
Version:	0.94.14
Release:	0.%{_rc}.%{_rel}
Epoch:		1
License:	GPL v2
Group:		Networking/Daemons
Source0:	http://www.boa.org/%{name}-%{version}%{_rc}.tar.gz
# Source0-md5:	e24b570bd767a124fcfb40a34d148ba9
Source1:	%{name}.init
Patch0:		%{name}-PLD.patch
URL:		http://www.boa.org/
BuildRequires:	autoconf >= 2.59
BuildRequires:	automake
BuildRequires:	flex
BuildRequires:	rpmbuild(macros) >= 1.268
BuildRequires:	sed >= 4.0
BuildRequires:	texinfo
Requires(post,preun):	/sbin/chkconfig
Requires(postun):	/usr/sbin/groupdel
Requires(postun):	/usr/sbin/userdel
Requires(pre):	/bin/id
Requires(pre):	/usr/bin/getgid
Requires(pre):	/usr/sbin/groupadd
Requires(pre):	/usr/sbin/useradd
Requires:	rc-scripts
Provides:	group(http)
Provides:	user(http)
Provides:	webserver
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
A high speed, lightweight web server (HTTP protocol). Based on direct
use of the select(2) system call, it internally multiplexes all
connections without forking, for maximum speed and minimum system
resource use.

%description -l pl
Niezwykle szybki i wysoko wydajny serwer WWW (protok HTTP). Bazuje
na bezporednim uyciu funkcji systemowej select(2) dziki czemu moe
obsugiwa wiele pocze rwnoczenie bez fork()owania co w efekcie
znacznie zwiksza szybko dziaania oraz zmniejsza zuycie zasobw
systemowych.

%prep
%setup -q -n %{name}-%{version}%{_rc}
cp examples/boa.conf .
%patch0 -p0

%build
cp -f /usr/share/automake/config.sub .
%{__sed} -i 's,},  olddir /var/log/archiv/boa\x0a},' contrib/rpm/boa.logrotate
CFLAGS="%{rpmcflags} %{?with_ipv6:-DINET6} -DSERVER_ROOT='\"%{_sysconfdir}\"'"
%{__autoconf}
%configure
%{__make}
%{__make} -C docs boa.html

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT/etc/rc.d/init.d \
	$RPM_BUILD_ROOT/var/log/{,archiv/}boa \
	$RPM_BUILD_ROOT%{_sbindir} \
	$RPM_BUILD_ROOT%{_mandir}/man8 \
	$RPM_BUILD_ROOT/etc/logrotate.d \
	$RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}

install src/{boa,boa_indexer} $RPM_BUILD_ROOT%{_sbindir}

install examples/*.pl examples/*.cgi \
	$RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}
install %{SOURCE1} $RPM_BUILD_ROOT/etc/rc.d/init.d/%{name}

install boa.conf $RPM_BUILD_ROOT%{_sysconfdir}/%{name}.conf
install contrib/rpm/boa.logrotate $RPM_BUILD_ROOT/etc/logrotate.d/%{name}

install docs/boa.8 $RPM_BUILD_ROOT%{_mandir}/man8

touch $RPM_BUILD_ROOT/var/log/boa/{access_log,agent_log,error_log,referer_log}

%clean
rm -rf $RPM_BUILD_ROOT

%pre
%groupadd -g 51 -r -f http
%useradd -u 51 -r -d /usr/share/empty -s /bin/false -c "HTTP User" -g http http

%postun
if [ "$1" = "0" ]; then
	%userremove http
	%groupremove http
fi

%post
/sbin/chkconfig --add boa
%service boa restart "boa HTTP daemon"

%preun
if [ "$1" = "0" ]; then
	%service boa stop
	/sbin/chkconfig --del boa
fi

%triggerpostun -- boa < 0.94.14-0.rc20.0
if [ -f /etc/httpd/boa.conf.rpmsave ]; then
	echo "warning: installing /etc/boa.conf as /etc/boa.conf.rpmnew"
	mv /etc/boa.conf /etc/boa.conf.rpmnew
	echo "warning: moving /etc/httpd/boa.conf.rpmsave to /etc/boa.conf"
	mv /etc/httpd/boa.conf.rpmsave /etc/boa.conf
fi

%files
%defattr(644,root,root,755)
%doc CHANGES README docs/*.html docs/*.png
%attr(640,root,root) %config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/boa.conf
%attr(640,root,root) %config(noreplace) %verify(not md5 mtime size) /etc/logrotate.d/%{name}
%attr(750,root,root) %dir /var/log/%{name}/
%attr(750,root,root) %dir /var/log/archiv/%{name}/
%attr(640,root,root) %ghost /var/log/%{name}/*
%attr(755,root,root) %{_sbindir}/*
%attr(754,root,root) /etc/rc.d/init.d/%{name}
%{_mandir}/man8/*
%{_examplesdir}/%{name}-%{version}

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: boa.spec,v $
Revision 1.87  2006/09/08 18:03:40  glen
- rel 3 (rebuild with fixed %useradd/%groupadd macros)

Revision 1.86  2006/04/14 12:17:05  glen
- _rel 2

Revision 1.85  2006/02/24 15:20:04  glen
- use %service

Revision 1.84  2006/02/16 20:30:07  kolodko
- file boa.conf is config -> add %verify(not md5 mtime size)

Revision 1.83  2005/08/11 09:46:18  radek
- bcond_with(out) is followed by one \t, then bcond's name.

Revision 1.82  2005/05/02 18:23:51  glen
- adapterized

Revision 1.81  2005/05/01 18:49:15  glen
- new spec syntax is so cool

Revision 1.80  2005/05/01 17:31:30  glen
- use %useradd/%groupadd macros

Revision 1.79  2005/04/19 06:21:36  charles
- updated  to 0.94.14rc21 (cleanup release)

Revision 1.78  2004/12/27 11:08:29  charles
- add "olddir /var/log/archiv/boa" in boa.logograte + BR sed >= 4.0

Revision 1.77  2004/10/29 09:02:01  paladine
- "HTTP" unification

Revision 1.76  2004/10/17 10:44:02  radek
- cleanup, tweaked triggerpostun

Revision 1.75  2004/10/14 23:02:04  radek
- added triggerpostun

Revision 1.74  2004/10/13 15:53:53  radek
- release 3: added /var/log/archiv/boa/

Revision 1.73  2004/10/09 12:32:08  kolodko
- fixed ownership in /etc/*

Revision 1.72  2004/10/06 17:52:22  radek
- release 0._rc.2: major fixup
- logs to /var/log/boa instead of /var/log/httpd (cnfl with apache)
- default DocumentRoot in /srv/www (but we don't supply this directory!)
- config to /etc/boa.conf (/etc/httpd ownership problem, cnfl with apache)
- removed Provides: httpd (what point?) and Obsoletes
- removed *.conf from cgi-bin, removed cgi-bin, moved *.cgi and *.pl
  to _examplesdir (copy if you need them)

Revision 1.71  2004/10/01 15:43:53  kolodko
- up to 0.94.14rc20 by Karol "Charles" Krenski <charles (at) os.pl>

Revision 1.70  2004/09/29 16:32:34  kolodko
- added macros in /etc/logrotate.d

Revision 1.69  2004/08/25 04:52:50  ankry
- rel. .4

Revision 1.68  2004/08/20 21:33:11  ankry
- use %userremove/%groupremove, some cosmetics

Revision 1.67  2004/08/11 20:51:48  qboosh
- BR: automake

Revision 1.66  2004/08/10 20:01:04  averne
- rel 3

Revision 1.65  2004/08/10 19:47:43  averne
- refresh config.sub

Revision 1.64  2004/02/04 15:31:25  averne
- /home/services -> /srv
- rel .2

Revision 1.63  2004/01/30 19:51:52  eothane
- bconds, few cleanups

Revision 1.62  2003/08/11 20:44:52  ankry
- cosmetics

Revision 1.61  2003/08/06 16:37:04  kloczek

Revision 1.60  2003/07/16 01:25:49  radek
- version 0.94.14rc17, minor cosmetic, simplified PLD patch

Revision 1.59  2003/05/28 12:58:47  malekith
- massive attack: source-md5

Revision 1.58  2003/05/25 05:46:01  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.57  2003/05/17 06:04:00  pascalek
- revert user changes

Revision 1.56  2003/05/10 09:32:52  pascalek
- Req user-http

Revision 1.55  2002/12/09 08:51:32  qboosh
- added missing dir: /home/services/httpd

Revision 1.54  2002/12/06 21:16:59  orzech
- /home/httpd -> /home/services/httpd

Revision 1.53  2002/09/20 14:38:11  blues
- 0.94.13 - (bugfixes-only release) - STBR

Revision 1.52  2002/07/09 18:47:46  kloczek
- use new %doc.

Revision 1.51  2002/07/09 18:30:13  mick3y
- removing http group is not good

Revision 1.50  2002/07/05 01:02:13  mick3y
- removed http group - working fine on my server
- STBR

Revision 1.49  2002/06/26 05:47:51  kloczek
- release 2.

Revision 1.48  2002/06/24 19:56:39  mick3y
- logrotate patch

Revision 1.47  2002/05/21 23:12:43  kloczek
- perl -pi -e "s/^automake -a -c -f --foreing/\%\{__automake\}/; \
               s/^automake -a -c -f/\%\{__automake\}/; \
       s/^autoconf/\%\{__autoconf\}/"

Revision 1.46  2002/05/09 17:55:10  qboosh
- 0.94.12, Epoch=1
- updated PLD patch, removed SA_LEN patch (sufficient fix included in PLD patch)
- cleanups, better "doesn't have UID/GID" messages
- added _without_ipv6 bcond (v6 version can listen only on INET6 sockets)

Revision 1.45  2002/04/25 15:54:23  arturs
- fixed a small typo

Revision 1.44  2002/02/22 23:28:44  kloczek
- removed all Group fields translations (our rpm now can handle translating
  Group field using gettext).

Revision 1.43  2002/01/18 02:12:31  kloczek
- perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.42  2001/12/23 00:07:34  blues
- added noreplace to config-file

Revision 1.41  2001/12/23 00:06:07  blues
- fixed typo in init-script

Revision 1.40  2001/12/22 23:58:56  blues
- added some obsoletes
- cosmetics + corrected PLD patch
  STBR - it works

Revision 1.39  2001/12/22 23:31:54  blues
- 0.94.12pre1
- License changed
- SA_LEN patch added
- URL added
- fixes in install
- added logrotate script and some new docs

Revision 1.38  2001/09/24 10:00:14  qboosh
- Prereq: /sbin/chkconfig

Revision 1.37  2001/07/30 12:15:52  blues
- 0.9.4
- ac 2.5 ready (autoconf to BuildRequires added)
- NFY - misiek, look at that...

Revision 1.36  2001/07/26 05:42:05  saq
- reverting last change: removing new macros from %p{re,ost}{,un}

Revision 1.33  2001/05/02 00:42:07  qboosh
- adapterized and made spec %debug ready or using %rpm*flags macros

Revision 1.32  2001/02/10 05:20:28  kloczek
- release 2.

Revision 1.31  2001/02/10 00:04:45  funto
- fixed %post/%pre

Revision 1.30  2001/02/01 16:27:33  kloczek
- Requires for rc-scripts changed to Prereq.

Revision 1.29  2001/01/25 20:03:21  misiek
- Massive attack. We use -O0 instead -O flags while debug enabled.

Revision 1.28  2000/12/23 00:48:43  michuz
- changed %{!?debug:...}%{?debug...} to %{?debug:...}%{!?debug...}
  (now it's more C like)

Revision 1.27  2000/10/05 17:36:58  kloczek
- added sgml-tools to BuildRequires list.

Revision 1.26  2000/10/05 16:19:01  kloczek
- updated to 0.94.8.3,
- spec now is %{debug} ready,
- use new rpm automation suit.

Revision 1.25  2000/09/17 17:57:51  kloczek
- adapterized.

Revision 1.24  2000/09/15 21:28:39  mkochano
- Release 2.
- Removal of user before removal of group in %postun. Group can not be
  removed if there is an user belonging to it.

Revision 1.23  2000/09/10 20:33:03  kloczek
- do not use -s in install parameters,
- added Obsoletes: apache.

Revision 1.22  2000/09/10 03:25:53  kloczek
- pass -DINET6 to CFLAGS.

Revision 1.21  2000/09/10 02:56:48  kloczek
- added fleex to BuildRequires list.

Revision 1.20  2000/09/10 02:54:21  kloczek
- adapterized.

Revision 1.19  2000/09/10 02:39:32  kravietz
- really it is 0.94.8.2 ;)

Revision 1.18  2000/09/10 02:29:08  kravietz
- upgrade do 0.96.8

Revision 1.17  2000/06/09 07:54:39  kloczek
- more %{__make} macros.

Revision 1.16  2000/05/18 16:58:01  kloczek
- spec adapterized.

Revision 1.15  2000/04/01 11:14:24  zagrodzki
- changed all BuildRoot definitons
- removed all applnkdir defs
- changed some prereqs/requires
- removed duplicate empty lines

Revision 1.14  2000/03/28 16:54:15  baggins
- translated kloczkish into english

Revision 1.13  2000/02/24 08:42:11  cieciwa
- IPv6 included in source,
- some tools (resolver) are located in src directory are
       installed at /home/httpd/cgi-bin,
- manual moved to man8,
- added SGML and PS documentation,
- please check conf file.

Revision 1.12  2000/02/24 08:09:20  cieciwa
- updated to version 0.94.6,
- removed IPv6 support (not implemented now),
- removed util tools (not needed),
- not completed spec.

Revision 1.11  1999/11/12 00:51:17  kura

- fixed pl translation
- added Group(pl)
- 'install -d' is called only once

Revision 1.10  1999/09/11 13:33:26  misiek
- fixed requires (PR#29)

Revision 1.9  1999/08/16 09:39:46  misiek
- updated for IPv6 fix && init script

Revision 1.7  1999/07/16 15:46:15  baggins
- FHS 2.0
- macros
- cleanup

Revision 1.6  1999/07/13 16:57:41  baggins
- some cleanup

Revision 1.5  1999/07/12 23:05:54  kloczek
- added using CVS keywords in %changelog (for automating them).
